package org.nl.acs.auto.run;

import java.util.List;
import java.util.Map;

public interface AutoRunService {
    void startThread(String arg0);

    void stopThread(String arg0);

    ThreadDto findByCode(String arg0, String arg1);

    List<ThreadDto> findAll();

    List<ThreadDto> findByCondition(Map whereJson);

    Thread getThreadByCode(String code);
}
